IOSS 2.0

Public Member Functions | Static Public Attributes | Private Member Functions | Private Attributes | List of all members
Ioss::FaceGenerator Class Reference

`#include <Ioss_FaceGenerator.h>`

Collaboration diagram for Ioss::FaceGenerator:
[legend]

## Public Member Functions
| FaceGenerator (Ioss::Region &region)
| ~FaceGenerator ()
template<typename INT >
void | generate_faces (INT, bool block_by_block=false)
FaceUnorderedSet & | faces (const std::string &name="ALL")

## Static Public Attributes
static size_t | fequal = 0
static size_t | secondary = 0

## Private Member Functions
template<typename INT >
void | generate_block_faces (INT)
template<typename INT >
void | generate_model_faces (INT)

## Private Attributes
Ioss::Region & | region_
std::map< std::string, FaceUnorderedSet > | faces_

## Constructor & Destructor Documentation

## ◆ FaceGenerator()

Ioss::FaceGenerator::FaceGenerator | ( | Ioss::Region & | region | ) |
| explicit

## ◆ ~FaceGenerator()

Ioss::FaceGenerator::~FaceGenerator | ( |  | ) |
| inline

## Member Function Documentation

## ◆ faces()

FaceUnorderedSet& Ioss::FaceGenerator::faces | ( | const std::string & | name = `"ALL"` | ) |
| inline

## ◆ generate_block_faces()

template<typename INT >

void Ioss::FaceGenerator::generate_block_faces | ( | INT |  | ) |
| private

## ◆ generate_faces()

template<typename INT >

void Ioss::FaceGenerator::generate_faces | ( | INT | ,
|  | bool | block_by_block = `false`
| ) |  |

## ◆ generate_model_faces()

template<typename INT >

void Ioss::FaceGenerator::generate_model_faces | ( | INT |  | ) |
| private

## Member Data Documentation

## ◆ faces_

std::map<std::string, FaceUnorderedSet> Ioss::FaceGenerator::faces_
| private

## ◆ fequal

size_t Ioss::FaceGenerator::fequal = 0
| static

## ◆ region_

Ioss::Region& Ioss::FaceGenerator::region_
| private

## ◆ secondary

size_t Ioss::FaceGenerator::secondary = 0
| static

The documentation for this class was generated from the following files:

- src/Ioss_FaceGenerator.h
- src/Ioss_FaceGenerator.C